Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class ApplicationViewBasicEquipmentType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationViewBasicEquipmentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:28:36+01:00",
               comments="JAXB RI v2.3.6")
    public class ApplicationViewBasicEquipmentType

extends Object
implements Serializable

Generiek type voor het mobiliteitshulpmiddel in het beeld van een aanvraag.

Java class for ApplicationViewBasicEquipmentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}EquipmentIDType" minOccurs="0"/>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="Serialnumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PublicPrice" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="AllowanceVSB" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Supplement" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Forfait" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CareServiceCodeStatusType" minOccurs="0"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FirstUseDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="DeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ApplicationViewBasicEquipmentType()`

Method Summary
`BigDecimal` | `getAllowanceVSB()` Gets the value of the allowanceVSB property.
`BigDecimal` | `getAmount()` Gets the value of the amount property.
`String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
`org.joda.time.DateTime` | `getDeliveryDate()` Gets the value of the deliveryDate property.
`String` | `getEquipmentID()` Gets the value of the equipmentID property.
`org.joda.time.DateTime` | `getFirstUseDate()` Gets the value of the firstUseDate property.
`String` | `getForfait()` Gets the value of the forfait property.
`String` | `getProductnumber()` Gets the value of the productnumber property.
`BigDecimal` | `getPublicPrice()` Gets the value of the publicPrice property.
`List<String>` | `getReasons()` Gets the value of the reasons property.
`String` | `getSerialnumber()` Gets the value of the serialnumber property.
`CareServiceCodeStatusType` | `getStatus()` Gets the value of the status property.
`org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
`BigDecimal` | `getSupplement()` Gets the value of the supplement property.
`void` | `setAllowanceVSB(BigDecimal value)` Sets the value of the allowanceVSB property.
`void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
`void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
`void` | `setDeliveryDate(org.joda.time.DateTime value)` Sets the value of the deliveryDate property.
`void` | `setEquipmentID(String value)` Sets the value of the equipmentID property.
`void` | `setFirstUseDate(org.joda.time.DateTime value)` Sets the value of the firstUseDate property.
`void` | `setForfait(String value)` Sets the value of the forfait property.
`void` | `setProductnumber(String value)` Sets the value of the productnumber property.
`void` | `setPublicPrice(BigDecimal value)` Sets the value of the publicPrice property.
`void` | `setSerialnumber(String value)` Sets the value of the serialnumber property.
`void` | `setStatus(CareServiceCodeStatusType value)` Sets the value of the status property.
`void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.
`void` | `setSupplement(BigDecimal value)` Sets the value of the supplement property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationViewBasicEquipmentType

    public ApplicationViewBasicEquipmentType()

Method Detail

### getEquipmentID

    public String getEquipmentID()

  Gets the value of the equipmentID property.

  Returns:
    possible object is `String`

### setEquipmentID

    public void setEquipmentID(String value)

  Sets the value of the equipmentID property.

  Parameters:
    `value` - allowed object is `String`

### getCareServiceCode

    public String getCareServiceCode()

  Gets the value of the careServiceCode property.

  Returns:
    possible object is `String`

### setCareServiceCode

    public void setCareServiceCode(String value)

  Sets the value of the careServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getProductnumber

    public String getProductnumber()

  Gets the value of the productnumber property.

  Returns:
    possible object is `String`

### setProductnumber

    public void setProductnumber(String value)

  Sets the value of the productnumber property.

  Parameters:
    `value` - allowed object is `String`

### getSerialnumber

    public String getSerialnumber()

  Gets the value of the serialnumber property.

  Returns:
    possible object is `String`

### setSerialnumber

    public void setSerialnumber(String value)

  Sets the value of the serialnumber property.

  Parameters:
    `value` - allowed object is `String`

### getPublicPrice

    public BigDecimal getPublicPrice()

  Gets the value of the publicPrice property.

  Returns:
    possible object is `BigDecimal`

### setPublicPrice

    public void setPublicPrice(BigDecimal value)

  Sets the value of the publicPrice property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getAllowanceVSB

    public BigDecimal getAllowanceVSB()

  Gets the value of the allowanceVSB property.

  Returns:
    possible object is `BigDecimal`

### setAllowanceVSB

    public void setAllowanceVSB(BigDecimal value)

  Sets the value of the allowanceVSB property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getSupplement

    public BigDecimal getSupplement()

  Gets the value of the supplement property.

  Returns:
    possible object is `BigDecimal`

### setSupplement

    public void setSupplement(BigDecimal value)

  Sets the value of the supplement property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getForfait

    public String getForfait()

  Gets the value of the forfait property.

  Returns:
    possible object is `String`

### setForfait

    public void setForfait(String value)

  Sets the value of the forfait property.

  Parameters:
    `value` - allowed object is `String`

### getAmount

    public BigDecimal getAmount()

  Gets the value of the amount property.

  Returns:
    possible object is `BigDecimal`

### setAmount

    public void setAmount(BigDecimal value)

  Sets the value of the amount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getStatus

    public CareServiceCodeStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `CareServiceCodeStatusType`

### setStatus

    public void setStatus(CareServiceCodeStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `CareServiceCodeStatusType`

### getStatusDate

    public org.joda.time.DateTime getStatusDate()

  Gets the value of the statusDate property.

  Returns:
    possible object is `String`

### setStatusDate

    public void setStatusDate(org.joda.time.DateTime value)

  Sets the value of the statusDate property.

  Parameters:
    `value` - allowed object is `String`

### getReasons

    public List<String> getReasons()

  Gets the value of the reasons property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

  For example, to add a new item, do as follows:

          getReasons().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getFirstUseDate

    public org.joda.time.DateTime getFirstUseDate()

  Gets the value of the firstUseDate property.

  Returns:
    possible object is `String`

### setFirstUseDate

    public void setFirstUseDate(org.joda.time.DateTime value)

  Sets the value of the firstUseDate property.

  Parameters:
    `value` - allowed object is `String`

### getDeliveryDate

    public org.joda.time.DateTime getDeliveryDate()

  Gets the value of the deliveryDate property.

  Returns:
    possible object is `String`

### setDeliveryDate

    public void setDeliveryDate(org.joda.time.DateTime value)

  Sets the value of the deliveryDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.